local Recount2 = Recount2

function Recount2:InCombat()
	if self.inCombat then
		return true
	end

	self:CheckCombatStatus()

	return self.inCombat
end

function Recount2:CheckCombatStatus()
	self.inCombat = false

	local numMembers = GetNumRaidMembers()
	if numMembers>0 then
		local unit = Recount2.unitRaid
		local unitPet = Recount2.unitRaidPet
		for i=1,numMembers do
			if UnitAffectingCombat(unit) or UnitAffectingCombat(unitPet) then
				self.inCombat = true
				--Need to check again shortly if our group has left combat
				self:ScheduleTimer("CombatCheck", self.CheckCombatStatus, 1, self)
				return true
			end
		end
	else
		--Check us before looking at party members
		if UnitAffectingCombat("PLAYER") or UnitAffectingCombat("PET") then
			self.inCombat = true
			return true
		end

		numMembers = GetNumPartyMembers()
		if numMembers>0 then
			local unit = Recount2.unitParty
			local unitPet = Recount2.unitPartyPet
			for i=1,numMembers do
				if UnitAffectingCombat(unit) or UnitAffectingCombat(unitPet) then
					self.inCombat = true
					--Need to check again shortly if our group has left combat
					self:ScheduleTimer("CombatCheck", self.CheckCombatStatus, 1, self)
					return true
				end
			end
		end
	end

	return false
end
